#include "Command.h"
#include "List.h"
#include "CommandManager.h"

#include <iostream>

using namespace std;

const string FlushCommand::_id = "flush";

FlushCommand::FlushCommand()
{
}

FlushCommand::FlushCommand(List *command)
{
}

void FlushCommand::execute()
{
	CommandManager::instance()->flush();
}

std::string FlushCommand::getString()
{
	List *command = new List();
	command->snoc(new Atom(_id));
	string commandString = command->getString();
	delete command;

	return commandString;
}